
Redmine - Feature #9829

Time of archived project in spent time report

2011-12-16 22:57 - Eric Le Gallais

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

If I put time on a project that is archived, the time on that project does not figure in the "spent time report"

Redmine 1.2.1.stable (MySQL)

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20110511000000

Related issues:

Related to Redmine - Feature #3640: Freeze / Close Projects Closed 2009-07-20

History

#1 - 2011-12-17 13:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

This is the designed behaviour. Once archived, the project and all its data are no longer visible.

#2 - 2012-02-06 16:38 - Brian Heasley

It may be designed behavior, but that does not make it useful or the best way to handle it.  A feature request that covers the improvements: #8681

#3 - 2012-08-15 16:12 - Ralf S.

- Status changed from Closed to Reopened

+1

We also would appreciate that feature. Please take a look into this forum discussion Making reports 'Overall Time Spent' including archived hours? for

more arguments.

The proposal of Brian #2-above might not help in this context, because projects, that are set to 'closed' are still listed in our very long projects list.

We think, the best way is to set a marker for a project, that tells 'Keep this projects effort in calculation, although it is archived'.

Sorry, because of these new arguments, I re-opened that issue again. We're looking forward for a discussion.

#4 - 2013-03-21 06:23 - Anton Nepomnyaschih

+1
https://www.redmine.org/issues/8681
http://www.redmine.org/boards/1/topics/18172?r=32651
http://www.redmine.org/issues/9829#note-2


#5 - 2013-03-21 06:48 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

- Resolution deleted (Invalid)

#6 - 2013-03-21 06:49 - Toshi MARUYAMA

- Subject changed from Time of archived project not in spent time report to Time of archived project in spent time report

#7 - 2013-11-13 14:03 - Sergey H

Hi guys,

any updates on this?

Thanks.

#8 - 2018-11-03 06:32 - Go MAEDA

- Related to Feature #3640: Freeze / Close Projects added

#9 - 2018-11-03 06:34 - Go MAEDA

- Status changed from Reopened to Closed

- Resolution set to Wont fix

You should close the project instead of archiving it if you want to use the values in the project. The feature to cloase a project was implemented in

Redmine 2.1.0 that was released in September 2012.
